All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.user
Class CredentialPermission

    com.sas.services.user.CredentialPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public class CredentialPermission

This class is used to protect the retrieval of credential information from the UserIdentity class. In order to perform the getCredential method in a UserIdentity class, the CredentialPermission "readCredential" must be granted.

    grant {
         permission com.sas.services.user.CredentialPermission "readCredential";
     };

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`CredentialPermission()` Constructs a default credential permission.
`CredentialPermission(java.lang.String name)` Constructs a credential permission using the specified name.
`CredentialPermission(java.lang.String name, java.lang.String actions)` Constructs a credential permission using the specified name and actions.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Determines whether or not the specified object is a permission collection.
`java.lang.String` | `getActions()` Gets actions.
`int` | `hashCode()` Gets ths collection's hash code.
`boolean` | `implies(java.security.Permission permission)` Determines whether or not the specified permission implies a credential permission.
`java.security.PermissionCollection` | `newPermissionCollection()` Creates a new permission collection.

Constructor Detail

### CredentialPermission

    public CredentialPermission()

  Constructs a default credential permission.

### CredentialPermission

    public CredentialPermission(java.lang.String name)

  Constructs a credential permission using the specified name.

  Parameters:
    `name` - Permission's name.

### CredentialPermission

    public CredentialPermission(java.lang.String name,
                                java.lang.String actions)

  Constructs a credential permission using the specified name and actions.

  Parameters:
    `name` - Permission's name.
    `actions` - Permission's actions.

Method Detail

### implies

    public boolean implies(java.security.Permission permission)

  Determines whether or not the specified permission implies a credential permission.

  Overrides:
    `implies` in class `java.security.BasicPermission`
  Parameters:
    `permission` - Permission
  Returns:
    `true` if the permission is a credential permission.

### equals

    public boolean equals(java.lang.Object obj)

  Determines whether or not the specified object is a permission collection.

  Overrides:
    `equals` in class `java.security.BasicPermission`
  Parameters:
    `obj` - Object to be compared for equality.
  Returns:
    `true` if the specified object is a credential permission.

### hashCode

    public int hashCode()

  Gets ths collection's hash code.

  Overrides:
    `hashCode` in class `java.security.BasicPermission`
  Returns:
    Collection's hash code.

### getActions

    public java.lang.String getActions()

  Gets actions.

  Overrides:
    `getActions` in class `java.security.BasicPermission`
  Returns:
    Read credential.

### newPermissionCollection

    public java.security.PermissionCollection newPermissionCollection()

  Creates a new permission collection.

  Overrides:
    `newPermissionCollection` in class `java.security.BasicPermission`
  Returns:
    New permission collection.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.